QGIS Application - Feature request #20731
Show Absolute Time when viewing an Mesh in QGIS
2018-12-05 12:20 PM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee: Peter Petrik

Category: Mesh layers

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 28551
Description

IN QGIS 2.18 when using the Crayfish plugin and loading a netcdf (which defines it time relative to some offset point) there is an option to
display the "Absolute Time". (in contrast to "Relative Time") see screenshot.

In QGIS 3 there is only the relative time.

It would be nice to have the Crayfish option also in QGIS3.

Note for others: in netcdf for example you define your timeslices as "Years from 1 jan 2010" for example.
You then see 1,2,3,4 for data 2011-2014.

History

#1 - 2019-02-01 03:37 PM - Peter Petrik
- Assignee deleted (Peter Petrik)
- Priority changed from Normal to High

#2 - 2019-03-07 02:06 PM - Peter Petrik
- Assignee set to Peter Petrik

#3 - 2019-03-15 08:43 AM - Peter Petrik
- Category changed from Data Provider/MDAL to Mesh layers
- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

fixed on QGIS 3.7 master in https:/github.com/qgis/QGIS/pull/9452

#4 - 2019-03-15 08:43 AM - Peter Petrik
- Status changed from Open to Closed

#5 - 2019-03-15 08:44 AM - Peter Petrik

note that fully support of reference time is blocked by upstream MDAL issue https://github.com/lutraconsulting/MDAL/issues/100

Files

absolutetime.png 56.1 KB 2018-12-05 Richard Duivenvoorde

2025-04-26 1/1



https://github.com/qgis/QGIS/pull/9452
https://github.com/lutraconsulting/MDAL/issues/100

